View Issue Details

IDProjectCategoryLast Update
0019300AI War 2[All Projects] Crash/ExceptionNov 29, 2017 6:12 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.608 
Fixed in Version0.609 
Summary0019300: crash in UpdateFromUI
DescriptionAs soon as I start I game I see errors like

11/28/2017 11:11:49 PM
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.Universal.ArcenUI_Element.UpdateFromUI () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenUI/ArcenUI_Element.cs:219)
Arcen.Universal.ArcenUI_Window.OnUpdate () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenUI/ArcenUI_Window.cs:89)
Arcen.Universal.ArcenUI.OnUpdate () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/ArcenUI/ArcenUI.cs:181)
Arcen.Universal.Engine_Universal.OnUpdate () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Engine_Universal.cs:926)
ArcenGameController.Update () (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/ArcenCode/ArcenGameController.cs:39)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 684
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 637
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)

I hit it immediately and constantly.
TagsNo tags attached.

Activities

BadgerBadger

Nov 28, 2017 11:14 pm

reporter   ~0046610

I also see
11/28/2017 11:12:57 PM Null controller! BasicNonInteractableImageDrawer 4

in the logs

keith.lamothe

Nov 29, 2017 8:31 am

administrator   ~0046611

It seems likely there's some mismatch with your external code, as tBackground definitely has a non-null controller in my version. That said, for 0.609:

* Put in some protections against a null-controller-for-UI-element situation.

Thanks :)

BadgerBadger

Nov 29, 2017 6:12 pm

reporter   ~0046612

The problem definitely went away in .609.

Issue History

Date Modified Username Field Change
Nov 28, 2017 11:13 pm BadgerBadger New Issue
Nov 28, 2017 11:14 pm BadgerBadger Note Added: 0046610
Nov 29, 2017 8:31 am keith.lamothe Assigned To => keith.lamothe
Nov 29, 2017 8:31 am keith.lamothe Status new => resolved
Nov 29, 2017 8:31 am keith.lamothe Resolution open => fixed
Nov 29, 2017 8:31 am keith.lamothe Fixed in Version => 0.609
Nov 29, 2017 8:31 am keith.lamothe Note Added: 0046611
Nov 29, 2017 6:12 pm BadgerBadger Note Added: 0046612